## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class ModelElementType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.ModelElementType

    public class ModelElementType

extends OclAnyType

The ATL ModelElement type. Used to map EMF elements in this context.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`ModelElementType(OclType oclType)` Creates a new ModelElement with the given OclType, which contains informations about the metamodel name, package, etc.

Method Summary
`static OclAnyType` `create(org.eclipse.emf.ecore.EClassifier classifier, java.lang.String metamodelName)` Utility method used to create a new ModelElementType from the given classifier.
`java.util.List<Feature>` `getFeatures()`
`java.lang.String` `getInformation()` Returns a description of the model element.
`OclAnyType[]` `getSupertypes()`
`java.util.List<Operation>` `getTypeOperations()` Return the local type operations.
`boolean` `isAbstract()` Returns `true` if the element is abstract.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getInstance, getOclType, getOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelElementType

    public ModelElementType(OclType oclType)

  Creates a new ModelElement with the given OclType, which contains informations about the metamodel name, package, etc.

  Parameters:
    `oclType` - the type

Method Detail

### getTypeOperations

    public java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Overrides:
    `getTypeOperations` in class `OclAnyType`
  Returns:
    the operations
  See Also:
    `OclAnyType.getTypeOperations()`

### isAbstract

    public boolean isAbstract()

  Returns `true` if the element is abstract.

  Returns:
    `true` if the element is abstract

### getFeatures

    public java.util.List<Feature> getFeatures()

  Overrides:
    `getFeatures` in class `OclAnyType`
  See Also:
    `OclAnyType.getFeatures()`

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `OclAnyType`
  See Also:
    `OclAnyType.getSupertypes()`

### create

    public static OclAnyType create(org.eclipse.emf.ecore.EClassifier classifier,
                                    java.lang.String metamodelName)

  Utility method used to create a new ModelElementType from the given classifier.

  Parameters:
    `classifier` - the classifier
    `metamodelName` - the metamodel name
  Returns:
    the wrapped `ModelElementType`

### getInformation

    public java.lang.String getInformation()

  Returns a description of the model element.

  Returns:
    a description of the model element

Copyright 2007 IBM Corporation and others. All Rights Reserved.